---
title: "WC1N Accountancy Practices & Registered Office Directory | ReguLex UK"
source_url: "https://regulex.uk/directory/postcode/WC1N"
canonical_url: "https://regulex.uk/directory/postcode/WC1N"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Statutory compliance registry for postal area WC1N. Monitoring 193 accountancy practices and 2,742,687 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://regulex.uk/directory/postcode/WC1N](https://regulex.uk/directory/postcode/WC1N)
>
> *Statutory compliance registry for postal area WC1N. Monitoring 193 accountancy practices and 2,742,687 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates.*

## Appointed & Monitored Practices in WC1N

| # | Practice Name & Address | Co-Located Portfolio | Statutory Status | Action |
| :--- | :--- | :--- | :--- | :--- |
| 1 | [360 ACCOUNTING SERVICES LTD](https://regulex.uk/practice/dashboard?crn=10367025) CRN: 10367025 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10367025) |
| 2 | [4BUSINESS CONSULTANCY LIMITED](https://regulex.uk/practice/dashboard?crn=07752998) CRN: 07752998 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07752998) |
| 3 | [ACCESS TAX AND ACCOUNTING LIMITED](https://regulex.uk/practice/dashboard?crn=08573399) CRN: 08573399 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08573399) |
| 4 | [ACCOUNTANTS AND BOOKKEEPERS LTD](https://regulex.uk/practice/dashboard?crn=04366917) CRN: 04366917 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04366917) |
| 5 | [ACCOUNTANTS DIRECT LTD](https://regulex.uk/practice/dashboard?crn=14202482) CRN: 14202482 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14202482) |
| 6 | [ACCOUNTING AND BOOKKEEPING ASSOCIATES LTD](https://regulex.uk/practice/dashboard?crn=16264760) CRN: 16264760 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16264760) |
| 7 | [ACCOUNTING SOLUTIONS 4U LIMITED](https://regulex.uk/practice/dashboard?crn=08404206) CRN: 08404206 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08404206) |
| 8 | [ACCOUNTS REPAIR LTD](https://regulex.uk/practice/dashboard?crn=12979498) CRN: 12979498 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12979498) |
| 9 | [ACCUPERT LIMITED](https://regulex.uk/practice/dashboard?crn=12876813) CRN: 12876813 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12876813) |
| 10 | [ADDED VALUE ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=11304602) CRN: 11304602 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11304602) |
| 11 | [ADT BUSINESS & TAX LTD](https://regulex.uk/practice/dashboard?crn=16743012) CRN: 16743012 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16743012) |
| 12 | [ALLOFFSHORE CAPITAL LTD](https://regulex.uk/practice/dashboard?crn=15012173) CRN: 15012173 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15012173) |
| 13 | [AMS ADMIN SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=11347273) CRN: 11347273 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11347273) |
| 14 | [AMS BUSINESS ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=17186431) CRN: 17186431 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17186431) |
| 15 | [AMTEQ LIMITED](https://regulex.uk/practice/dashboard?crn=03164730) CRN: 03164730 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=03164730) |
| 16 | [ANGELEE CC LTD.](https://regulex.uk/practice/dashboard?crn=13966479) CRN: 13966479 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13966479) |
| 17 | [APF FINANCE LIMITED](https://regulex.uk/practice/dashboard?crn=09157258) CRN: 09157258 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09157258) |
| 18 | [APW CONSULT LTD](https://regulex.uk/practice/dashboard?crn=10056894) CRN: 10056894 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10056894) |
| 19 | [ARCHERS & CO ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=08800546) CRN: 08800546 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08800546) |
| 20 | [ARNA TAX SERVICES LTD](https://regulex.uk/practice/dashboard?crn=15144038) CRN: 15144038 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15144038) |
| 21 | [ASHTON KNIGHT LTD](https://regulex.uk/practice/dashboard?crn=11565518) CRN: 11565518 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11565518) |
| 22 | [ATB CONSULTING LTD](https://regulex.uk/practice/dashboard?crn=11471715) CRN: 11471715 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11471715) |
| 23 | [ATB ECOMMERCE LTD](https://regulex.uk/practice/dashboard?crn=12678571) CRN: 12678571 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12678571) |
| 24 | [ATB KSIEGOWOSC LTD](https://regulex.uk/practice/dashboard?crn=12394131) CRN: 12394131 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12394131) |
| 25 | [ATKIN STURGESS MANAGEMENT LIMITED](https://regulex.uk/practice/dashboard?crn=05416126) CRN: 05416126 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=05416126) |
| 26 | [ATTD CONSULTING LIMITED](https://regulex.uk/practice/dashboard?crn=11396534) CRN: 11396534 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11396534) |
| 27 | [AXIOSYN LIMITED](https://regulex.uk/practice/dashboard?crn=17030700) CRN: 17030700 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17030700) |
| 28 | [AZ ACCOUNTANTS & TAX ADVISORS LIMITED](https://regulex.uk/practice/dashboard?crn=10788981) CRN: 10788981 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10788981) |
| 29 | [BALTIC ACCOUNTING SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=17024031) CRN: 17024031 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17024031) |
| 30 | [BB ACCTAX PROFESSIONAL SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=12479785) CRN: 12479785 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12479785) |
| 31 | [BEE & CO ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=13294071) CRN: 13294071 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13294071) |
| 32 | [BELEDGE G LTD.](https://regulex.uk/practice/dashboard?crn=09036898) CRN: 09036898 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09036898) |
| 33 | [BEST-ASSISTANT ACCOUNTING LIMITED](https://regulex.uk/practice/dashboard?crn=16279941) CRN: 16279941 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16279941) |
| 34 | [BIDEX ACCOUNTING SERVICES LTD](https://regulex.uk/practice/dashboard?crn=09944267) CRN: 09944267 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09944267) |
| 35 | [BRIDGE ACCOUNTING LIMITED](https://regulex.uk/practice/dashboard?crn=14162478) CRN: 14162478 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14162478) |
| 36 | [BRIDGING YOUR ACCOUNTS LIMITED](https://regulex.uk/practice/dashboard?crn=16875244) CRN: 16875244 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16875244) |
| 37 | [BY NATURE CONSULTING LIMITED](https://regulex.uk/practice/dashboard?crn=09994235) CRN: 09994235 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09994235) |
| 38 | [CALIXA LTD](https://regulex.uk/practice/dashboard?crn=17017663) CRN: 17017663 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17017663) |
| 39 | [CALLIE TIMOTHY LIMITED](https://regulex.uk/practice/dashboard?crn=08053944) CRN: 08053944 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08053944) |
| 40 | [CAPE FINANCE LIMITED](https://regulex.uk/practice/dashboard?crn=13350125) CRN: 13350125 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13350125) |
| 41 | [CASS HAMPTON LIMITED](https://regulex.uk/practice/dashboard?crn=10780073) CRN: 10780073 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10780073) |
| 42 | [CHARTERWOODS LIMITED](https://regulex.uk/practice/dashboard?crn=07184649) CRN: 07184649 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07184649) |
| 43 | [CITY SERVE ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=15343006) CRN: 15343006 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15343006) |
| 44 | [CLOUD BOOKS SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=12757485) CRN: 12757485 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12757485) |
| 45 | [COLLEGE OF SUSTAINABILITY AND CARBON FOOTPRINT SCIENCES LTD](https://regulex.uk/practice/dashboard?crn=16670344) CRN: 16670344 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16670344) |
| 46 | [CONNECT ADVISORY PARTNERS LTD.](https://regulex.uk/practice/dashboard?crn=09197322) CRN: 09197322 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09197322) |
| 47 | [CONSULTING ML LTD](https://regulex.uk/practice/dashboard?crn=11403399) CRN: 11403399 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11403399) |
| 48 | [DAR CONSULTANCY LTD](https://regulex.uk/practice/dashboard?crn=16108693) CRN: 16108693 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16108693) |
| 49 | [DELTA ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=11489248) CRN: 11489248 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11489248) |
| 50 | [DOMAH GLOBAL CONSULTING LIMITED](https://regulex.uk/practice/dashboard?crn=09572833) CRN: 09572833 • WC1N 3AX | 14741 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09572833) |

### Key Commercial Postcode Clusters

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://regulex.uk/directory/postcode/WC1N](https://regulex.uk/directory/postcode/WC1N).
